Bug 1932920 - mypy complains that typeshed is broken
Summary: mypy complains that typeshed is broken
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-typeshed
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-02-25 13:19 UTC by david08741
Modified: 2021-03-19 19:55 UTC (History)
3 users (show)

Fixed In Version: python-typeshed-0.1-0.20191011git2.fc33 python-typeshed-0.1-0.20191011git2.fc32 python-typeshed-0.1-0.20191011git2.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-03-03 23:15:27 UTC
Type: Bug


Attachments (Terms of Use)

Description david08741 2021-02-25 13:19:14 UTC
Description of problem:
mypy complains that typeshed is broken:

$ mypy xemc3
xemc3/__init__.py:1: error: Cannot find 'builtins' module. Typeshed appears broken!
xemc3/__init__.py:42: error: No library stub file for standard library module 'importlib.metadata'
xemc3/__init__.py:42: note: (Stub files are from https://github.com/python/typeshed)
xemc3/__init__.py:47: error: Cannot find implementation or library stub for module named 'importlib_metadata'
xemc3/__init__.py:47: note: See https://mypy.readthedocs.io/en/latest/running_mypy.html#missing-imports
xemc3/__init__.py:54: error: Cannot find implementation or library stub for module named 'setuptools_scm'
Found 4 errors in 1 file (checked 13 source files)


Version-Release number of selected component (if applicable):
python-typeshed-0.1-0.20210217git.fc33.noarch

Steps to Reproduce:
git clone https://github.com/dschwoerer/xemc3
mypy xemc3

Additional info:
downgrading to python-typeshed-0.1-0.20191010git.fc33 resolves the issue

Comment 1 Gwyn Ciesla 2021-02-25 15:34:30 UTC
Reverting typeshed upgrade, filed upstream issue. https://github.com/python/typeshed/issues/5071

Comment 2 Fedora Update System 2021-02-25 15:50:59 UTC
FEDORA-2021-3048b821bb has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-3048b821bb

Comment 3 Fedora Update System 2021-02-25 23:45:35 UTC
FEDORA-2021-c7f768573b has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-c7f768573b`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-c7f768573b

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2021-02-26 00:45:15 UTC
FEDORA-2021-3048b821bb has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-3048b821bb`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-3048b821bb

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2021-02-26 01:33:33 UTC
FEDORA-2021-551a1dcc1f has been pushed to the Fedora 32 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-551a1dcc1f`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-551a1dcc1f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 david08741 2021-02-26 09:13:16 UTC
The update does not resolve the issue, as it hast lower version than the update.

I guess you need to bump epoch - as the updated mypy does not seem to be a suitable update for released branches.

Comment 7 Gwyn Ciesla 2021-02-26 15:00:41 UTC
The epoch has been bumped.

Comment 8 Mike FABIAN 2021-03-01 15:32:43 UTC
When doing "sudo dnf update", I got this: python-typeshed-0.1-0.20210217git.fc33 

But that doesn't seem to work.

https://bodhi.fedoraproject.org/updates/FEDORA-2021-3048b821bb

has python-typeshed-0.1-0.20191011git2.fc33  but that is shown as "obsolete" in 
https://bodhi.fedoraproject.org/updates/?search=typeshed

Comment 9 Fedora Update System 2021-03-01 16:48:35 UTC
FEDORA-2021-3048b821bb has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-3048b821bb

Comment 10 Gwyn Ciesla 2021-03-01 16:49:01 UTC
Eek. I've unobsoleted it. Sorry about that.

Comment 11 Fedora Update System 2021-03-02 15:56:44 UTC
FEDORA-2021-3048b821bb has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-3048b821bb`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-3048b821bb

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2021-03-03 23:15:27 UTC
FEDORA-2021-3048b821bb has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2021-03-05 19:23:42 UTC
FEDORA-2021-551a1dcc1f has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2021-03-19 17:38:35 UTC
FEDORA-2021-c7f768573b has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 15 Fedora Update System 2021-03-19 19:55:50 UTC
FEDORA-2021-c7f768573b has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.